﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.IO;
using Infragistics.Win.UltraWinToolbars;

namespace RibbonApp
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            LoadStyles();
        }

        private void LoadStyles()
        {
            // Apply the StyleLibrary.
            DirectoryInfo di = new DirectoryInfo(System.IO.Path.GetDirectoryName(Application.ExecutablePath));
            DirectoryInfo[] styleLibrariesDirectory = di.GetDirectories("StyleLibraries");
            if (styleLibrariesDirectory.Length > 0)
            {
                FileInfo[] styleLibraryFiles = styleLibrariesDirectory[0].GetFiles("*.isl");

                Infragistics.Win.AppStyling.StyleManager.Load(styleLibraryFiles[0].FullName);                
            }
        }
    }
}
